# Class CIM_ServiceComponent
extends CIM_Component

The ServiceComponent aggregation models a set of subordinate Services that are aggregated together to form a higher-level service.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_ServiceComponent

## Direct Known Subclasses

CIM_ClassifierElementInClassifierService
CIM_J2eeEJBInModule
CIM_J2eeResourceAdapterInModule
CIM_J2eeServletInModule
CIM_QoSConditioningSubService
CIM_QoSSubService
CIM_SwitchServiceSourceRouting
CIM_SwitchServiceSpanningTree
CIM_SwitchServiceTransparentBridging
CIM_SwitchServiceVLAN

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | The ServiceComponent aggregation models a set of subordinate Services that are aggregated together to form a higher-level service.
UMLPackagePath | string | CIM::Core::Service
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_ServiceComponent | CIM_Service
PartComponent | CIM_ServiceComponent | CIM_Service

## Class Methods